using Prism.Ioc;
using Prism.Modularity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Txgy.EWS.Client.SysModule.ViewModels;
using Txgy.EWS.Client.SysModule.Views;

namespace Txgy.EWS.Client.SysModule
{
    public class SysModuleProfile : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            //throw new NotImplementedException();
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {         
            containerRegistry.RegisterForNavigation<FileUploadView>();
            containerRegistry.RegisterForNavigation<MenuManagementView>();
            containerRegistry.RegisterForNavigation<SystemSettingsView>();

            containerRegistry.RegisterDialog<AddFileDialog>();
            containerRegistry.RegisterDialog<AddMenuDialog>();
        }
    }
}
